path: /build/build/compiler-rt-sanitizers-sys-libs-11.0.0-11.0.0+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test clang elibc_glibc" emerge sys-libs/compiler-rt-sanitizers:11.0.0 -pv -t
  - |
    USE="-test clang elibc_glibc" emerge -j ${JOBS} --nodeps sys-libs/compiler-rt-sanitizers:11.0.0
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/compiler-rt-sanitizers && luet-portage
    --dir /pkgdir/compiler-rt-sanitizers sys-libs/compiler-rt-sanitizers:11.0.0
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree:d70099fdbd01ee41f6909258611ebfbd87746688f5fdb7b9ed970959750468fd
  package:
    name: compiler-rt-sanitizers
    version: 11.0.0+1
    category: sys-libs-11.0.0
    use_flags:
    - -test
    - clang
    - elibc_glibc
    requires:
    - name: clang
      version: '>=0'
      category: sys-devel-11
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Compiler runtime libraries for clang (sanitizers & xray)
    uri:
    - https://llvm.org/
    license: Apache-2.0-with-LLVM-exceptions || ( UoI-NCSA MIT )
    buildtimestamp: 2024-10-07 11:40:53.627506611 +0000 UTC m=+2689.911009840
    labels:
      BDEPEND: '>=dev-util/cmake-3.16 clang? ( sys-devel/clang ) elibc_glibc? ( net-libs/libtirpc
        ) test? ( !<sys-apps/sandbox-2.13 || ( ( dev-lang/python:3.10 >=dev-python/lit-5[python_targets_python3_10(-),python_single_target_python3_10(+)]
        ) ( dev-lang/python:3.8 >=dev-python/lit-5[python_targets_python3_8(-),python_single_target_python3_8(+)]
        ) ( dev-lang/python:3.9 >=dev-python/lit-5[python_targets_python3_9(-),python_single_target_python3_9(+)]
        ) ( dev-lang/python:3.7 >=dev-python/lit-5[python_targets_python3_7(-),python_single_target_python3_7(+)]
        ) ) =sys-devel/clang-11.0.0*:11 sys-libs/compiler-rt:11.0.0 ) || ( dev-lang/python:3.10
        dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7 ) dev-util/ninja
        dev-util/cmake'
      DEPEND: '>=sys-devel/llvm-6 !!sys-devel/llvm:0'
      IUSE: +clang +libfuzzer +profile +sanitize test +xray elibc_glibc
      emerge.packages: sys-libs/compiler-rt-sanitizers:11.0.0
      kit: llvm-kit
      original.package.name: sys-libs/compiler-rt-sanitizers
      original.package.slot: 11.0.0
      original.package.version: 11.0.0
    treedir: /build/packages
  package_dir: /pkgdir/compiler-rt-sanitizers
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: a56b61692db30d3d8987891edbe59e029429b1023d92ae09e41fd2c220ff8438
compressiontype: zstd
files:
- usr/lib/clang/11.0.0/bin/hwasan_symbolize
- usr/lib/clang/11.0.0/include/fuzzer/FuzzedDataProvider.h
- usr/lib/clang/11.0.0/include/profile/InstrProfData.inc
- usr/lib/clang/11.0.0/include/sanitizer/allocator_interface.h
- usr/lib/clang/11.0.0/include/sanitizer/asan_interface.h
- usr/lib/clang/11.0.0/include/sanitizer/common_interface_defs.h
- usr/lib/clang/11.0.0/include/sanitizer/coverage_interface.h
- usr/lib/clang/11.0.0/include/sanitizer/dfsan_interface.h
- usr/lib/clang/11.0.0/include/sanitizer/hwasan_interface.h
- usr/lib/clang/11.0.0/include/sanitizer/linux_syscall_hooks.h
- usr/lib/clang/11.0.0/include/sanitizer/lsan_interface.h
- usr/lib/clang/11.0.0/include/sanitizer/msan_interface.h
- usr/lib/clang/11.0.0/include/sanitizer/netbsd_syscall_hooks.h
- usr/lib/clang/11.0.0/include/sanitizer/scudo_interface.h
- usr/lib/clang/11.0.0/include/sanitizer/tsan_interface.h
- usr/lib/clang/11.0.0/include/sanitizer/tsan_interface_atomic.h
- usr/lib/clang/11.0.0/include/sanitizer/ubsan_interface.h
- usr/lib/clang/11.0.0/include/xray/xray_interface.h
- usr/lib/clang/11.0.0/include/xray/xray_log_interface.h
- usr/lib/clang/11.0.0/include/xray/xray_records.h
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.asan-preinit-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.asan-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.asan-x86_64.a.syms
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.asan-x86_64.so
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.asan_cxx-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.asan_cxx-x86_64.a.syms
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.cfi-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.cfi_diag-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.dd-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.dfsan-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.dfsan-x86_64.a.syms
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.dyndd-x86_64.so
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.fuzzer-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.fuzzer_no_main-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.gwp_asan-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.hwasan-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.hwasan-x86_64.a.syms
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.hwasan-x86_64.so
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.hwasan_cxx-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.hwasan_cxx-x86_64.a.syms
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.lsan-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.msan-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.msan-x86_64.a.syms
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.msan_cxx-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.msan_cxx-x86_64.a.syms
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.profile-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.safestack-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.scudo-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.scudo-x86_64.so
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.scudo_cxx-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.scudo_cxx_minimal-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.scudo_minimal-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.scudo_minimal-x86_64.so
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.scudo_standalone-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.scudo_standalone_cxx-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.stats-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.stats_client-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.tsan-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.tsan-x86_64.a.syms
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.tsan_cxx-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.tsan_cxx-x86_64.a.syms
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.ubsan_minimal-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.ubsan_minimal-x86_64.a.syms
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.ubsan_minimal-x86_64.so
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.ubsan_standalone-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.ubsan_standalone-x86_64.a.syms
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.ubsan_standalone-x86_64.so
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.ubsan_standalone_cxx-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.ubsan_standalone_cxx-x86_64.a.syms
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.xray-basic-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.xray-fdr-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.xray-profiling-x86_64.a
- usr/lib/clang/11.0.0/lib/linux/libclang_rt.xray-x86_64.a
- usr/lib/clang/11.0.0/share/asan_blacklist.txt
- usr/lib/clang/11.0.0/share/cfi_blacklist.txt
- usr/lib/clang/11.0.0/share/dfsan_abilist.txt
- usr/lib/clang/11.0.0/share/hwasan_blacklist.txt
- usr/lib/clang/11.0.0/share/msan_blacklist.txt
- usr/share/doc/compiler-rt-sanitizers-11.0.0/README.txt.bz2
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/BDEPEND
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/BUILD_TIME
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/CATEGORY
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/CBUILD
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/CFLAGS
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/CHOST
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/CONTENTS
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/COUNTER
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/CTARGET
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/CXX
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/CXXFLAGS
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/DEFINED_PHASES
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/DEPEND
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/DESCRIPTION
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/EAPI
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/FEATURES
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/HOMEPAGE
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/INHERITED
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/IUSE
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/IUSE_EFFECTIVE
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/KEYWORDS
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/LDFLAGS
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/LICENSE
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/NEEDED
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/NEEDED.ELF.2
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/PF
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/PROVIDES
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/REQUIRES
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/RESTRICT
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/SIZE
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/SLOT
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/USE
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/compiler-rt-sanitizers-11.0.0.ebuild
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/environment.bz2
- var/db/pkg/sys-libs/compiler-rt-sanitizers-11.0.0/repository
package_cacheimage: ""
runtime:
  name: compiler-rt-sanitizers
  version: 11.0.0+1
  category: sys-libs-11.0.0
  use_flags:
  - -test
  - clang
  - elibc_glibc
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Compiler runtime libraries for clang (sanitizers & xray)
  uri:
  - https://llvm.org/
  license: Apache-2.0-with-LLVM-exceptions || ( UoI-NCSA MIT )
  labels:
    BDEPEND: '>=dev-util/cmake-3.16 clang? ( sys-devel/clang ) elibc_glibc? ( net-libs/libtirpc
      ) test? ( !<sys-apps/sandbox-2.13 || ( ( dev-lang/python:3.10 >=dev-python/lit-5[python_targets_python3_10(-),python_single_target_python3_10(+)]
      ) ( dev-lang/python:3.8 >=dev-python/lit-5[python_targets_python3_8(-),python_single_target_python3_8(+)]
      ) ( dev-lang/python:3.9 >=dev-python/lit-5[python_targets_python3_9(-),python_single_target_python3_9(+)]
      ) ( dev-lang/python:3.7 >=dev-python/lit-5[python_targets_python3_7(-),python_single_target_python3_7(+)]
      ) ) =sys-devel/clang-11.0.0*:11 sys-libs/compiler-rt:11.0.0 ) || ( dev-lang/python:3.10
      dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7 ) dev-util/ninja
      dev-util/cmake'
    DEPEND: '>=sys-devel/llvm-6 !!sys-devel/llvm:0'
    IUSE: +clang +libfuzzer +profile +sanitize test +xray elibc_glibc
    emerge.packages: sys-libs/compiler-rt-sanitizers:11.0.0
    kit: llvm-kit
    original.package.name: sys-libs/compiler-rt-sanitizers
    original.package.slot: 11.0.0
    original.package.version: 11.0.0
